#ifndef __FileHandling_hh__
#define __FileHandling_hh__

/** File handling tools
    @todo: correct handling of Win32 SAMBA paths including \\machine\....
    @author Jan Woetzel 02/2005
*/

#include <string>

#define DEFAULT_LEADING_ZEROS 5



namespace BIAS {
  
  /* @return true if the file exists can be pendedis readable on file system */
  bool 
    FileReadable( const std::string & s);
  
  
  /**  split full path into:
       - directory
       - basename
       - extension 
       @todo: Extract machine name or IP for SMB network shares
       for WIN32, e.g. \\machine\share and fix backslashes on  Win32.
       @author Jan Woetzel 03/2005 */
  void
  SplitName(const std::string & fullname
	    ,std::string & dirm
	    ,std::string & base
	    ,std::string & ext );
  
  
  /**  get Basename of file, no suffix, no direcory. */
  std::string Basename(const std::string & fullname);
  
  
  /** get Directory from fullname path JW */
  std::string Directory(const std::string & fullname);

  
  /** write compilation time/adet and all command line arguments to a log file/stream JW */
  void LogCommandLine( int argc,char** argv, std::ostream & os);
  void LogCommandLine( int argc,char** argv, const std::string & filename);
  
  /**  JW */
  std::string LeadingZeroString( const int & n, const unsigned int & digits=DEFAULT_LEADING_ZEROS ) ;


  
} // namespace BIAS
#endif // do not add code after this line 
