#include <Base/Common/XMLBase.hh>

using namespace std;
using namespace BIAS;

int XMLBase::XMLAdd(const xmlNodePtr Node, XMLIO& XMLObject) const {
  xmlNodePtr theNode;
  string TopLevelName;
  double Version;
  XMLGetClassName(TopLevelName, Version);
  theNode = XMLObject.addChildNode(Node, TopLevelName);
  XMLObject.addAttribute(theNode, "Version", Version);
  XMLOut(theNode, XMLObject);
  return 0;
}

int XMLBase::XMLWrite(const std::string& Filename, 
                      int CompressionLevel,
                      bool AutoAddCompressionSuffix) const {
  XMLIO myXML;
  string TopLevelName; 
  double Version;
  XMLGetClassName(TopLevelName, Version);
  xmlNodePtr rootNode;
  rootNode = myXML.create(TopLevelName); 
  myXML.addAttribute(rootNode, "Version", Version);
  XMLOut(rootNode, myXML);
  myXML.SetCompression(CompressionLevel);
  myXML.write(Filename, AutoAddCompressionSuffix); 
  return 0;
}

int XMLBase::XMLRead(const std::string& Filename) {
  XMLIO myXML;
  xmlNodePtr rootNode;
  string TopLevelName;
  double Version;
  XMLGetClassName(TopLevelName, Version);
  rootNode = myXML.read(Filename);
  if (myXML.getNodeName(rootNode) != TopLevelName) {
    BIASERR("No XML-File of type "<<TopLevelName);
    return -1;
  }
   if (myXML.getAttributeValueDouble(rootNode, "Version") != Version) {
    BIASERR("Wrong XML-File version (is "
            <<myXML.getAttributeValueDouble(rootNode, "Version") 
            <<"), but I expected "<<Version);
    return -2;
  }
  return XMLIn(rootNode, myXML);
}

