#include "EuclideanTransf3D.hh"


using namespace BIAS;
using namespace std;

EuclideanTransf3D::EuclideanTransf3D() : Matrix4x4<double>()
{}


EuclideanTransf3D::~EuclideanTransf3D()
{}

void EuclideanTransf3D::Set(RMatrixBase& R, Vector3<double>& t)
{
  double *d=GetData();
  double *r=R.GetData();
  double *td=t.GetData();
  d[0]=r[0]; d[1]=r[1]; d[2]=r[2]; d[3]=td[0];
  d[4]=r[3]; d[5]=r[4]; d[6]=r[5]; d[7]=td[1];
  d[8]=r[6]; d[9]=r[7]; d[10]=r[8]; d[11]=td[2];
  d[12]=d[13]=d[14]=0.0; d[15]=1.0;
}

void EuclideanTransf3D::SetXYZ(Vector3<double>& EulerAng, Vector3<double>& t)
{
  RMatrixBase R;
  R.SetXYZ(EulerAng[0], EulerAng[1], EulerAng[2]);
  Set(R, t);
}
