/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <Base/Image/ImageDraw.hh>
#include <Base/Image/ImageIO.hh>

using namespace BIAS;

int main(int argc, char *argv[]){
  Image<unsigned char> im(360, 288, 1);

  im.FillImageWithConstValue((unsigned char)0);

  ImageDraw<unsigned char>::RectangleCorners(im, 0, 0, 359, 287);

  unsigned start[]={10, 50}, end[]={150, 150}, length=10, width=5;
  unsigned char col[]={200};
  ImageDraw<unsigned char>::Arrow(im, start, end, length, width, col);
  

  ImageIO::Write("res.mip", im);
  ImageIO::WriteUnbuffered("res2.mip", im);

  return 0;
}
