## 
## Try to find GLEW library  
## Once run this will define: 
## 
## GLEW_FOUND
## GLEW_INCLUDE_DIR
## GLEW_LIBRARIES
##
##  (GLEW_LINK_DIRECTORIES: not yet...)
##
## Jan Woetzel 09/2003. 
##
## --------------------------------

FIND_PATH(GLEW_INCLUDE_DIR GL/glew.h
  $ENV{GLEW_HOME}/include
  C:/source/glew/include
  D:/source/glew/include
  /usr/include
  /usr/local/include
)
#MESSAGE("DBG GLEW_INCLUDE_DIR=${GLEW_INCLUDE_DIR}")  
  
FIND_LIBRARY(GLEW_LIBRARY
  NAMES glew32s glews GLEW 
  # glew32 glews glew GLEW Glew 
  PATHS 
  $ENV{GLEW_HOME}/lib
  C:/source/glew/lib
  D:/source/glew/lib
  /usr/lib
  /usr/local/lib
)
#MESSAGE("DBG GLEW_LIBRARY=${GLEW_LIBRARY}")
  
## --------------------------------

IF(GLEW_LIBRARY)
  SET(GLEW_LIBRARIES ${GLEW_LIBRARY})
ELSE(GLEW_LIBRARY)
  MESSAGE(SEND_ERROR "GLEW library not found.")
ENDIF(GLEW_LIBRARY)

IF(NOT GLEW_INCLUDE_DIR)
  MESSAGE(SEND_ERROR "GLEW include dir not found.")
ENDIF(NOT GLEW_INCLUDE_DIR)


IF(GLEW_LIBRARIES AND GLEW_INCLUDE_DIR)
  SET(GLEW_FOUND TRUE)
ELSE(GLEW_LIBRARIES AND GLEW_INCLUDE_DIR)
  SET(GLEW_FOUND FALSE)
ENDIF(GLEW_LIBRARIES AND GLEW_INCLUDE_DIR)


MARK_AS_ADVANCED(
  GLEW_INCLUDE_DIR
  GLEW_LIBRARY
  GLEW_LIBRARIES
)
