## 
## Try to find OpenCV library  
## Once run this will define: 
## 
## OPENCV_FOUND
## OPENCV_INCLUDE_DIR
## OPENCV_LIBRARIES
## OPENCV_LINK_DIRECTORIES
##
## deprecated:
## (JW)-- OPENCV_EXE_LINKER_FLAGS
## 
## 2004/05 - 2005/03
## Jan Woetzel, Friso, Daniel Grest 
## --------------------------------


FIND_PATH(OPENCV_INCLUDE_DIR cv.h
  "$ENV{OPENCV_HOME}/include/cv"
  "$ENV{OPENCV_HOME}/include/opencv"
  "$ENV{ProgramFiles}/OpenCV/cv/include"
  "$ENV{ProgramFiles}/OpenCV/opencv/include"
  /usr/include/opencv
  /usr/local/include/opencv
  /opt/net/gcc33/OpenCV/include/opencv
)


# candidates for OpenCV library directories:
SET(OPENCV_POSSIBLE_LIBRARY_PATHS
  "$ENV{OPENCV_HOME}/lib"
  "$ENV{ProgramFiles}/OpenCV/lib"
  /usr/lib
  /usr/local/lib
  /opt/net/gcc33/OpenCV/lib
)
#MESSAGE("DBG (OPENCV_POSSIBLE_LIBRARY_PATHS=${OPENCV_POSSIBLE_LIBRARY_PATHS}")


FIND_LIBRARY(OPENCV_LIBRARY
  NAMES opencv cv
  PATHS ${OPENCV_POSSIBLE_LIBRARY_PATHS}
  )

FIND_LIBRARY(OPENCV_CVAUX_LIBRARY
  NAMES cvaux
  PATHS ${OPENCV_POSSIBLE_LIBRARY_PATHS}
)

FIND_LIBRARY(OPENCV_CXCORE_LIBRARY
  NAMES cxcore
  PATHS ${OPENCV_POSSIBLE_LIBRARY_PATHS}
)

FIND_LIBRARY(OPENCV_HIGHGUI_LIBRARY
  NAMES highgui
  PATHS ${OPENCV_POSSIBLE_LIBRARY_PATHS}
)


IF(OPENCV_LIBRARY)
  IF (OPENCV_INCLUDE_DIR)
    IF (OPENCV_HIGHGUI_LIBRARY)
    
        SET(OPENCV_LIBRARIES
            ${OPENCV_LIBRARY}
            ${OPENCV_HIGHGUI_LIBRARY} )

        IF (WIN32)
            IF (OPENCV_CXCORE_LIBRARY)
                SET(OPENCV_FOUND TRUE)
                SET(OPENCV_LIBRARIES ${OPENCV_LIBRARIES} ${OPENCV_CXCORE_LIBRARY} )
            ELSE (OPENCV_CXCORE_LIBRARY)
				MESSAGE("OPENCV_CXCORE_LIBRARY not found.")
            ENDIF (OPENCV_CXCORE_LIBRARY)                        
        ELSE(WIN32)
            ## UNIX
            IF (OPENCV_CVAUX_LIBRARY)
              IF (OPENCV_CXCORE_LIBRARY)
                #OK -all found
                SET(OPENCV_FOUND TRUE)
                SET(OPENCV_LIBRARIES ${OPENCV_LIBRARIES} ${OPENCV_CVAUX_LIBRARY} )
		        SET(OPENCV_LIBRARIES ${OPENCV_LIBRARIES} ${OPENCV_CXCORE_LIBRARY} )
              ELSE (OPENCV_CXCORE_LIBRARY)
	            MESSAGE("OPENCV_CXCORE_LIBRARY not found.")
              ENDIF (OPENCV_CXCORE_LIBRARY)
            ELSE (OPENCV_CVAUX_LIBRARY)
  	          MESSAGE("OPENCV_CVAUX_LIBRARY not found.")                
            ENDIF (OPENCV_CVAUX_LIBRARY)
        ENDIF (WIN32)
        
	    ## get the link directory for rpath to be used with LINK_DIRECTORIES: 
	    GET_FILENAME_COMPONENT(OPENCV_LINK_DIRECTORIES ${OPENCV_LIBRARY} PATH)
	          
    ELSE  (OPENCV_HIGHGUI_LIBRARY)
      MESSAGE("OPENCV_HIGHGUI_LIBRARY not found.")
    ENDIF (OPENCV_HIGHGUI_LIBRARY)
    
  ELSE  (OPENCV_INCLUDE_DIR)
    MESSAGE("OPENCV_INCLUDE_DIR not found.")
  ENDIF (OPENCV_INCLUDE_DIR)
  
ELSE(OPENCV_LIBRARY)
  MESSAGE("OpenCV_CVAUX_LIBRAY not found.")
ENDIF(OPENCV_LIBRARY)


IF (NOT OPENCV_FOUND)
  MESSAGE("OPENCV library not found. Please search manually or set shell variable OPENCV_HOME to guide search.")
ENDIF (NOT OPENCV_FOUND)


MARK_AS_ADVANCED(
  OPENCV_INCLUDE_DIR
  OPENCV_LIBRARIES
  OPENCV_LIBRARY
  OPENCV_HIGHGUI_LIBRARY
  OPENCV_CVAUX_LIBRARY
  OPENCV_CXCORE_LIBRARY
)
