##
## Try to find RENDERTEXTURE library  
## Once run this will define: 
##
## RENDERTEXTURE_FOUND
## RENDERTEXTURE_INCLUDE_DIR
## RENDERTEXTURE_LIBRARIES
##
##  (RENDERTEXTURE_LINK_DIRECTORIES: not yet...)
##
## Jan Woetzel 09/2003 - 12/2004
##
## --------------------------------


FIND_PATH(RENDERTEXTURE_INCLUDE_DIR RenderTexture.h
  $ENV{RENDERTEXTURE_DIR}/include
  $ENV{RENDERTEXTURE_DIR}  
  $ENV{RENDERTEXTURE_HOME}/include
  $ENV{RENDERTEXTURE_HOME}
  $ENV{SOURCE_DIR}/RenderTexture
  $ENV{SOURCE_DIR}/RenderTexture/include
  /usr/include
  /usr/local/include
)
FILE(APPEND ${CMAKE_BINARY_DIR}/CMakeOutput.log
    "RENDERTEXTURE_INCLUDE_DIR=${RENDERTEXTURE_INCLUDE_DIR}\n")

FIND_LIBRARY(RENDERTEXTURE_LIBRARY
  NAMES RenderTexture
  PATHS 
  $ENV{RENDERTEXTURE_DIR}
  $ENV{RENDERTEXTURE_DIR}/Debug
  $ENV{RENDERTEXTURE_DIR}/Release
  $ENV{RENDERTEXTURE_HOME}/lib
  $ENV{RENDERTEXTURE_HOME}
  $ENV{BUILD_DIR}/RenderTexture
  $ENV{BUILD_DIR}/RenderTexture/Debug  
  $ENV{BUILD_DIR}/RenderTexture/Release
  /usr/lib
  /usr/local/lib
)
FILE(APPEND ${CMAKE_BINARY_DIR}/CMakeOutput.log
    "RENDERTEXTURE_LIBRARY=${RENDERTEXTURE_LIBRARY}\n")

## --------------------------------

IF(RENDERTEXTURE_LIBRARY)
  SET(RENDERTEXTURE_LIBRARIES ${RENDERTEXTURE_LIBRARY})
ELSE(RENDERTEXTURE_LIBRARY)
  MESSAGE(SEND_ERROR "RENDERTEXTURE library not found.")
ENDIF(RENDERTEXTURE_LIBRARY)

IF(NOT RENDERTEXTURE_INCLUDE_DIR)
  MESSAGE(SEND_ERROR "RENDERTEXTURE include dir not found.")
ENDIF(NOT RENDERTEXTURE_INCLUDE_DIR)


IF(RENDERTEXTURE_LIBRARIES AND RENDERTEXTURE_INCLUDE_DIR)
  SET(RENDERTEXTURE_FOUND TRUE)
ELSE(RENDERTEXTURE_LIBRARIES AND RENDERTEXTURE_INCLUDE_DIR)
  SET(RENDERTEXTURE_FOUND FALSE)
ENDIF(RENDERTEXTURE_LIBRARIES AND RENDERTEXTURE_INCLUDE_DIR)


MARK_AS_ADVANCED(
  RENDERTEXTURE_INCLUDE_DIR
  RENDERTEXTURE_LIBRARY
  RENDERTEXTURE_LIBRARIES
  )
