## 
## Try to find VxL library  
## Once run this will define: 
## 
## VXL_FOUND
## VXL_LIBRARIES
## VXL_INCLUDE_DIR 
## Friso 2004-05
##
## --------------------------------


FIND_PATH(VXL_INCLUDE_DIR core/vil/vil_load.h
  $ENV{VXL_HOME}/include
#   C:/source/glew/include
#   D:/source/glew/include
   /usr/include
   /usr/local/include
 )
#MESSAGE("vxl at ${VXL_INCLUDE_DIR}")


FIND_LIBRARY(VXL_LIBRARY
  NAMES vcl
  PATHS 
  $ENV{VXL_HOME}/lib
# give some common win32 paths
#  C:/source/glew/lib
#  D:/source/glew/lib
  /usr/lib
  /usr/local/lib
)
#MESSAGE("vxl at ${VXL_LIBRARY}")

IF(VXL_LIBRARY AND VXL_INCLUDE_DIR )
  SET(VXL_LIBRARIES ${VXL_LIBRARY})
  SET(VXL_INCLUDE_DIR ${VXL_INCLUDE_DIR} 
    ${VXL_INCLUDE_DIR}/core 
    ${VXL_INCLUDE_DIR}/vcl
    ${VXL_INCLUDE_DIR}/contrib
    ${VXL_INCLUDE_DIR}/contrib/oxl    
    )
  SET(VXL_FOUND TRUE)
ELSE(VXL_LIBRARY AND VXL_INCLUDE_DIR)
  MESSAGE("VXL library not found. Set VXL_HOME to find it.")
ENDIF(VXL_LIBRARY AND VXL_INCLUDE_DIR)



MARK_AS_ADVANCED(
  VXL_INCLUDE_DIR
  VXL_LIBRARIES
)


# from old m4 macro:

#VXL_CFLAGS="-I$VXL_CFLAGSPATH/vcl -I$VXL_CFLAGSPATH/core -I$VXL_CFLAGSPATH/contrib/oxl -I$VXL_CFLAGSPATH/contrib"