##
## Try to find pthreads library for WIN32
## Once run this will define:
##
## PTHREADS_FOUND
## PTHREADS_LINK_DIRECTORIES
## PTHREADS_LIBRARIES
## PTHREADS_INCLUDE_DIR
##
## Birger Streckel 2004/12
##
## --------------------------------


FIND_PATH(PTHREADS_INCLUDE_DIR pthread.h
  ${PTHREADS_HOME}
  $ENV{PTHREADS_HOME}
  $ENV{PTHREADS_HOME}/include
)
#MESSAGE("DBG PTHREADS_INCLUDE_DIR=${PTHREADS_INCLUDE_DIR}")

FIND_LIBRARY(PTHREADS_VC1_LIBRARY
  NAMES pthreadVC1
  PATHS 
  ${PTHREADS_HOME}
  $ENV{PTHREADS_HOME}
  $ENV{PTHREADS_HOME}/lib
)

FIND_LIBRARY(PTHREADS_VCSE1_LIBRARY
  NAMES pthreadVSE1
  PATHS 
  ${PTHREADS_HOME}
  $ENV{PTHREADS_HOME}
  $ENV{PTHREADS_HOME}/lib
)

IF(PTHREADS_VC1_LIBRARY AND PTHREADS_VCSE1_LIBRARY AND PTHREADS_INCLUDE_DIR)

  SET(PTHREADS_LIBRARIES ${PTHREADS_VC1_LIBRARY} ${PTHREADS_VCSE1_LIBRARY})
  #MESSAGE("DBG PTHREADS libraries: ${PTHREADS_INCLUDE_DIR}")
  
  SET(PTHREADS_FOUND TRUE)
  GET_FILENAME_COMPONENT(PTHREADS_LINK_DIRECTORIES ${PTHREADS_VC1_LIBRARY} PATH)
  #SET(PTHREADS_EXE_LINKER_FLAGS "-Wl,-rpath,${PTHREADS_PREFIX}")
      
ELSE(PTHREADS_VC1_LIBRARY AND PTHREADS_VCSE1_LIBRARY AND PTHREADS_INCLUDE_DIR)
  MESSAGE("PTHREADS library not found. Set PTHREADS_HOME to find it.")
ENDIF(PTHREADS_VC1_LIBRARY AND PTHREADS_VCSE1_LIBRARY AND PTHREADS_INCLUDE_DIR)

MARK_AS_ADVANCED(
  PTHREADS_INCLUDE_DIR
  PTHREADS_VC1_LIBRARY
  PTHREADS_VCSE1_LIBRARY
)
