##
## This file generates the bias library config header 
## bias_config.h (in BIAS_BINARY_DIR) automatically 
## from bias_config.h.in (in BIAS_SOURCE_DIR).
##
## from the appropriate ..._FOUND flags
##
## -------------------------------------------------------------------------
## @author Jan Woetzel <http://www.mip.informatik.uni-kiel.de/~jw> (11/2003)
## -------------------------------------------------------------------------

## set the in and out cmake configure files: 
SET(FILE_BIAS_CONFIG_H_IN "${BIAS_SOURCE_DIR}/bias_config.h.in")
SET(FILE_BIAS_CONFIG_H "${BIAS_BINARY_DIR}/bias_config.h")

##
## workaround: disable all while no cmakified FindXXX handlers are available: 
## will be replaced by FIND_PACKAGE .. when available
##
SET(BIAS_CVSDATE "2004-JW-cmake-unknown")


IF(${CMAKE_BUILD_TYPE} MATCHES Debug)
  SET(BIAS_DEBUG ON) 
ELSE(${CMAKE_BUILD_TYPE} MATCHES Debug)
  SET(BIAS_DEBUG OFF) 
ENDIF(${CMAKE_BUILD_TYPE} MATCHES Debug)

## deprecated
#IF(BUILD_BIAS_FAST)
#  SET(BIAS_FAST ON)
#ENDIF(BUILD_BIAS_FAST)


##
## translate cmake ..._FOUND and USE_..  to  BIAS_HAVE_...
##
IF(BLAS_FOUND)
  SET(BIAS_HAVE_BLAS ON)
ENDIF(BLAS_FOUND)

IF(LAPACK_FOUND)
  SET(BIAS_HAVE_LAPACK ON)
ENDIF(LAPACK_FOUND)

IF(FFTW3_FOUND)
  SET(BIAS_HAVE_FFTW3 ON)
ENDIF(FFTW3_FOUND)

IF(DV_FOUND)
  SET(BIAS_HAVE_DV ON)
ENDIF(DV_FOUND)

IF(IMLIB_FOUND)
  SET(BIAS_HAVE_IMLIB ON)
ENDIF(IMLIB_FOUND)

IF(IMAGEMAGICKLIB_FOUND)
  SET(BIAS_HAVE_IMAGEMAGICKLIB ON)
ENDIF(IMAGEMAGICKLIB_FOUND)

IF(WXWINDOWS_FOUND)
  SET(BIAS_HAVE_WXWINDOWS_FOUND ON)
ENDIF(WXWINDOWS_FOUND)

IF(USE_DAIMLERCHRYSLER)
  SET(BIAS_DAIMLERCHRYSLER ON)
ENDIF(USE_DAIMLERCHRYSLER)

IF(OPENCV_FOUND)
  SET(BIAS_HAVE_OPENCV ON)
ENDIF(OPENCV_FOUND)

IF(OPENGL_FOUND)
  SET(BIAS_HAVE_OPENGL ON)
ENDIF(OPENGL_FOUND)

IF(PTHREADS_FOUND OR UNIX)
  SET(BIAS_HAVE_PTHREADS ON)
ENDIF(PTHREADS_FOUND OR UNIX)



IF(BUILD_SHARED_LIBS)
 SET(DLL_EXPORT "__declspec(dllexport)")
ELSE(BUILD_SHARED_LIBS)
  SET(DLL_EXPORT "/* __declspec(dllexport) we are in static mode*/")

ENDIF(BUILD_SHARED_LIBS)


## generate .h from .h.in file
#MESSAGE("DBG generating ${FILE_BIAS_CONFIG_H}  (from ${FILE_BIAS_CONFIG_H_IN})")
CONFIGURE_FILE(${FILE_BIAS_CONFIG_H_IN} ${FILE_BIAS_CONFIG_H})
