
##
## Dart server configuration 
## accepting BIAS build results
##
## author: Jan Woetzel
##

MESSAGE(STATUS "=== === This machine is configured as a possible Dart SERVER === ===")


SET (CVS_WEB_URL "http://${DROP_SITE}/cgi-bin/viewcvs.cgi/BIAS/")
SET (CVS_WEB_CVSROOT "/home/cvs/bias")

OPTION(BUILD_DOXYGEN "Build source documentation using doxygen" "On")
SET (DOXYGEN_URL "http://${DROP_SITE}/doxyBIAS/")
SET (USE_DOXYGEN "On")
SET (DOXYGEN_CONFIG "${BIAS_BINARY_DIR}/doxy.config")


SET (USE_GNATS "Off")


SET( DETECT_REPEATED_ERRORS ON )

## Project Home Page for HOME button 
SET (PROJECT_URL "http://dartserver")


##
## Email notification system
##

SET (DARTBOARD_BASE_URL "${PROJECT_URL}/BIAS/Testing/HTML/TestingResults")
SET (EMAIL_PROJECT_NAME "BIAS")
SET (EMAIL_FROM "dart@mip.informatik.uni-kiel.de")
SET (SMTP_MAILHOST "leine")

## build monitors always get mail, independant of their CVS status.
## filters:  1. site   2. build name  3. destination email adrs.
SET (BUILD_MONITORS "\\
  {.* .* wimi@mip.informatik.uni-kiel.de} \\
")
# {.* .* jw@mip.informatik.uni-kiel.de} \\
# {.* .* wimi@mip.informatik.uni-kiel.de} \\
# {.* .* bias@mip.informatik.uni-kiel.de} \\

MESSAGE(STATUS "Dart BUILD_MONITORS=${BUILD_MONITORS}")

## notify CVS users who checked in something:
# SET (CVS_IDENT_TO_EMAIL  "{.* jw@mip.informatik.uni-kiel.de}")
SET (CVS_IDENT_TO_EMAIL "\\
{cvs DO_NOT_EMAIL} \\
{dart DO_NOT_EMAIL} \\
{nightlybuild DO_NOT_EMAIL} \\
{skoglund skoglund@isy.liu.se} \\
{klappstein jens.klappstein@daimlerchrysler.com} \\
{.* {\\0@mip.informatik.uni-kiel.de} }\\
")
MESSAGE(STATUS "Dart CVS_IDENT_TO_EMAIL=${CVS_IDENT_TO_EMAIL}")


# SET (DELIVER_BROKEN_BUILD_EMAIL "Nightly Experimental")
SET (DELIVER_BROKEN_BUILD_EMAIL "Nightly")

SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_TEST_FAILURES "1")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_CONFIGURE_FAILURES "1")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_BUILD_ERRORS "1")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_BUILD_WARNINGS "1")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_TEST_NOT_RUNS "0")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_TEST_FAILURES "1")

SET(DELIVER_CONTINUOUS_BUILD_EMAIL OFF)


SET(EXPECTED_BUILDS "\\
  {anafenster	Linux_gcc334_BIAS_201_Debug_nightlybuild_mostON_shared} \\
  {DONAU Win32_nmake71_BIAS_101_Debug_nightlybuild_mostON_static} \\
")


## logo for Dart HTML pages
CONFIGURE_FILE(
  ${BIAS_SOURCE_DIR}/img/BIASlogo.gif
  ${BIAS_BINARY_DIR}/Testing/HTML/TestingResults/Icons/Logo.gif
  COPYONLY
)


MARK_AS_ADVANCED(
  VALGRIND_COMMAND
  VALGRIND_COMMAND_OPTIONS
)
