#include <Filter/FFT2D_Tiles.hh>
#include <Base/Image/Image.hh>
#include <Base/Image/ImageIO.hh>
#include <Base/Image/ImageConvert.hh>


using namespace std;
using namespace BIAS;


int main(int argc, char *argv[])
{

  if (argc!=2){
    cerr << argv[0] << "  <image>\n";
    return -1;
  }

  Image<unsigned char> im,imgrey, imgnew;
  Image<float> res,r1,r2;

  if (ImageIO::Load(argv[1], im)!=0){
    BIASERR("error loading image "<<argv[1]);
    return -2;
  } 
  
  ImageConvert::ToGrey(im,imgrey);
//   ImageIO::Write("grey",imgrey);
  FFT2D_Tiles<unsigned char, float> fft;

  fft.Init(imgrey.GetWidth(),imgrey.GetHeight(),32,32);

  // transform to 1 image with 1 channel, length of complex only
  fft.TransformAbs(imgrey,res);
//   ImageIO::Write("FFT2D-real",r1);
//   ImageIO::Write("FFT2D-img",r2);
//   fft.Normalize(res);
  ImageIO::Write("FFT2D-abs",res);



  return 0;
}
