/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "../PMatrix.hh"
#include "../RMatrix.hh"
#include "../../Base/Geometry/KMatrix.hh"

using namespace BIAS;
using namespace std;


int main(int argc, char *argv[]) {
  PMatrix P;
  KMatrix K;

  cout << "$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ ExampleLoadBBC $$$$$$$$$$$$$$$$$$$$$$"
       << endl;
  if (argc<2) {
    cout<<"Usage: ExampleLoadBBC <filename>"<<endl;
    exit(1);
  }

  cout <<"Loading  BBC-Free-D data from file: "<<argv[1]<<endl;

  P.LoadBBC(argv[1]);

  cout <<"P : "<<P<<endl;
  cout <<"K: "<<P.GetK()<<endl;
  cout <<"R: "<<P.GetR()<<endl;
  cout <<"C: "<<P.GetC()<<endl;

  return 0;
}
















