#ifndef __dndFileTarget_hh__
#define __dndFileTarget_hh__

/** This file is part of the BIAS library (Basic ImageAlgorithmS).
See the LICENSE file for license. */

#include "bias_config.h" 
#include <wx/wx.h>
#include <wx/dnd.h>
#if !wxUSE_DRAG_AND_DROP
#  error The dndFileTarget class requires drag and drop support in the WX library. Please recompile wxWidgets. __FILE__: __LINE__
#endif

namespace BIAS {
    /** @brief drag and drop files onto application.
    drag a file from MS explorer or kde file manager directly on an application
    (instaed of using a load from filename function.) 
    @author Jan Woetzel 03/2005 */
    class dndFileTarget : public wxFileDropTarget {
    public:
        dndFileTarget(wxFrame *frame); // ctor
        bool OnDropFiles(wxCoord x, wxCoord y, const wxArrayString& filenames);
    protected: 
        wxFrame *m_frame;   
    };
}
#endif // __dndFileTarget_hh__
