#ifndef _glstuff_h_
#define _glstuff_h_

/// wrapper to include all gl, glu, glut, glew, cg etc. stuff I need
/// keep choice of using glew flexible
/// allows precompiled headers
/// Jan Woetzel


/// USE glew:
// must define kind of lib/src for glew extension handler lib
// (linker errors otherwise) !!!
#ifdef WIN32
#  include <windows.h> // required *before* glew due to LEAN AND MEAN
#endif
#define GLEW_STATIC
#include <GL/glew.h> // includes gl.h and glu.h

#ifdef WIN32
#include <GL/wglew.h>
#else
#include <GL/glxew.h>
// define 
#define __glx_h__
#endif


#include <wx/glcanvas.h> // order necessary: include glew first !!!
//#include "cgstuff.h"

#include <GL/glut.h>



// --- define special token extension values ---
#define GL_CRYCBY_422_NVX   0x600A
#define GL_YCRYCB_422_NVX   0x600B 


#include <string>

// --------------------------------
// use this macro in your code to check for OpenGL  errors:
#define CHECK_GL_ERROR if (CheckGLError()) std::cerr<<__FILE__<<":"<<__LINE__<<" ";


// --------------------------------

static 
bool
CheckGLError(){
	GLenum lastErr = glGetError();
	if (lastErr==GL_NO_ERROR) return false; // no error
	// error:
	std::string s;
	s = "OpenGL Error: ";
	s += (char *) gluErrorString(lastErr);
	std::cerr<<s<<std::endl;
	return true;
}


/// wrapper for glGenTextures to generate a fresh texture object (id)

static 
GLuint
GenTextureID() {
	GLuint id;
	glEnable(GL_TEXTURE_2D);
	glGenTextures(1, &id);
	return id;
}


/// @return true if n is an integer power of 2. (Taken from Steve Baker's Cute Code Collection. (Jan Woetzel)
//static bool IsPowerOfTwo(int n){return ((n&(n-1))==0);}


#endif // DO NOT ADD CODE AFTER THIS LINE
