/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <Image/HomographyMapping.hh>
#include <Base/Image/ImageIO.hh>

using namespace BIAS;
using namespace std;

using namespace BIAS;
using namespace std;

int main(int argc, char *argv[])
{

  if (argc<2){
    BIASERR(argv[0]<<" <image-file>");
    return -1;
  }
 
  Image<unsigned char> im;
  if (ImageIO::Load(argv[1], im)!=0){
    BIASERR("error loading "<<argv[1]);
    return -2;
  }
 
  Image<unsigned char> imres1(im.GetWidth(),im.GetHeight(),
                             im.GetChannelCount()),
    imres2(im.GetWidth(),im.GetHeight(),
                             im.GetChannelCount());;

  HomographyMapping<unsigned char, unsigned char> Mapper;
  HMatrix H;
  H.SetIdentity();
  H[0][0] = 2.2;
  H[1][1] = 1.8;
  // H[0][2] = 0.5;
  // H[1][2] = 0.5;
  Mapper.MapTrilinear(im, imres1, H);
  Mapper.Map(im, imres2, H);
 
  if (ImageIO::Write("image_homography_tri.mip", imres1)!=0){
    BIASERR("error image");
    return -3;
  }
  if (ImageIO::Write("image_homography_fast.mip", imres2)!=0){
    BIASERR("error image");
    return -3;
  }
  return 0;
}
