#include <MathAlgo/Interpolator.hh>
#include <iostream>
#include <vector>

using namespace BIAS;
using namespace std;
int main(int argc, char *argv[])
{
  Interpolator spline;

  vector<double> AngleCorrX,AngleCorrY;

  AngleCorrX.push_back(0); AngleCorrY.push_back(0);
  AngleCorrX.push_back(0.138); AngleCorrY.push_back(0.138);
  AngleCorrX.push_back(0.424); AngleCorrY.push_back(0.421032);
  AngleCorrX.push_back(0.757); AngleCorrY.push_back(0.737318);
  AngleCorrX.push_back(1.045); AngleCorrY.push_back(0.983345);
  AngleCorrX.push_back(1.342); AngleCorrY.push_back(1.20646);
  AngleCorrX.push_back(1.436); AngleCorrY.push_back(1.26512);
  AngleCorrX.push_back(1.652); AngleCorrY.push_back(1.36786);
  

  spline.SetKnotPoints(AngleCorrX);  
  spline.SetControlPoints(AngleCorrY);
  spline.InitSpline(); 
  double MinAngle;
  spline.Spline(MinAngle, AngleCorrX[0],4);  
  double MaxCamAngle = AngleCorrX[AngleCorrX.size()-1];

  cout <<"CamAngle range: ["<<MinAngle<<" , "<<MaxCamAngle*180.0/M_PI<<"]"<<endl;

  spline.PrepareLuTSpline(MinAngle-1, MaxCamAngle, 20);
  double ang;
 int res =  spline.SplineFromLuT(ang, -0.5 );
 if (res <0) cout <<"Out of range"<<endl;

  return 0;
}
