#include <Base/Image/ImageIO.hh>
#include <Base/Image/ImageConvert.hh>

using namespace BIAS;
using namespace std;

/** @class biasadd
    @ingroup g_tools
    @brief tool for adding two images pixelwise
    @author unknown */

int main(int argc, char *argv[])
{
  if (argc<4){
    cerr << argv[0] <<" <image 1> <image 2> <outfile> \n";
    cerr << "   adds image 1 to image 2 and writes the result to outfile"
         <<" scaling and shifting is done for unsigned char"<<
      endl;    
    return 0; // for Dart testing
  }
 
  ImageBase im1, im2, result;
  if (ImageIO::Load(argv[1], im1)!=0){
    BIASERR("error loading "<<argv[1]);
    return -1;
  }
  if (ImageIO::Load(argv[2], im2)!=0){
    BIASERR("error loading "<<argv[2]);
    return -1;
  }
  if (!im1.SamePixelAndChannelCount(im2)) {
    BIASERR("image size,depth,or ST doe snot match");
    exit(-2);
  }
  BIASASSERT(im1.GetWidth()==im2.GetWidth());
  BIASASSERT(im1.GetHeight()==im2.GetHeight());

  Image<float> sumImg;
  Image<unsigned char> ucim1, ucim2,ucSum;
  sumImg.Init(im1.GetWidth(),im1.GetHeight(),im1.GetChannelCount());
  switch (im1.GetStorageType()){
  case ImageBase::ST_unsignedchar: 
    {
      ucim1=im1;
      ucim2=im2;
      unsigned char *p1, *p2, *end;
      float *pSum;
      p1=ucim1.GetImageData();
      p2=ucim2.GetImageData();
      pSum=sumImg.GetImageData();
      end=p1+im1.GetSize();
      //add
      float max=0;
      while (p1!=end) {
        *pSum= (float)(*p1) + (float)(*p2);
        if (*pSum>max) 
          max=*pSum;
        p1++; p2++; pSum++;
      }

      // scale
      //      if (max>255.0)
      //        sumImg*= (255.0/max);

      ImageConvert::ConvertST(sumImg,ucSum,ImageBase::ST_unsignedchar);
      if (ImageIO::Write(argv[3], ucSum)!=0){
        cerr << "error writing "<<argv[3]<<endl;
      }
      //     ucdiff.GetMinMaxPixelValue(ucmin, ucmax);
      //     cerr << "differences between "<<(int)ucmin<<" and "<<(int)ucmax<<endl;
      //     if (ucdiff.ScaleShiftBetween(0, 255)!=0){
      //       BIASERR("error scaling image");
      //     }
      //     if (ImageIO::Write("diff-scaled.mip", ucdiff)!=0){
      //       cerr << "error writing diff-scaled.mip "<<endl;
      //     }
      
    }
    break;
  case ImageBase::ST_float:
  
  default:
    cerr << "storage type not supported \n";
    break;
  }
  return 0;
}
