/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "Utils/ThreeDOut.hh"
using namespace std;
using namespace BIAS;

int main()
{
  ThreeDOutParameters param;
  param.CameraStyle = PyramidSolid;
  param.PointStyle = Box;
  param.PointSize = 0.1;
  param.LineStyle = Solid;
  param.DrawUncertaintyEllipsoids = true;
  ThreeDOut T(param);
  HomgPoint3D P1(1,1,1), P2(0,0,0);
  RGBA Color(0,0,255,0);
  
  //T.AddLine(P1, P2, Color);
  P1[0] = 5;
  P1[1] = -1;
  //T.AddPoint(P1, Color);
  P2[0] = 3;
  P2[1] = 2;
  //  T.AddPoint(P2);


  PMatrix P;
  P.SetIdentity();
  Color.R = 255;
  Color.B = 0;
  Color.A = 128;
  //T.AddPMatrix(P, 640, 480, Color);

  CovMatrix3x3 Cov;
  Cov.SetIdentity();
  Cov[0][0] = 0.5;
  Cov[1][1] = 0.8;
  P2[2] = 0.8;
  Color.G = 255;
  //T.AddEllipsoid(Cov, P2, Color);


#define IMSIZE 3
  Image<unsigned char> im(IMSIZE,IMSIZE,1);
  for (unsigned int i=0; i<IMSIZE*IMSIZE; i++) 
    im.GetImageDataArray()[i/IMSIZE][i%IMSIZE] 
                                     = (255 / (IMSIZE*IMSIZE)) * i;
  // 3 of the 4 corners
  Vector3<double> UL(0,0,0), UR(1,0,0), LL(0,1,0);
  T.AddImage(UL, UR, LL, IMSIZE, IMSIZE, im.GetImageData());
  T.VRMLOut("test.wrl");
  T.Dump();
  return 0;
}
